**** Mexico rename variables
cd "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\IndividualCountriesData\MexicoData\"
use "Subset data females raw 14052015.dta", clear
merge 1:1 folio using "Subset LI 14052015_clean.dta"
drop _merge
gen mexico=1
label var mexico "Mexico dummy variable"
rename folio firmid
destring firmid, force replace
gen manuf=s01p07==1
gen trade=s01p07==2
gen services=s01p07==3
drop s01p07
gen male=0
gen ownershours=s01p16_1_1
gen paidworkers=s01p04_2_a
replace paidworkers=0 if s01p04_2_a==.
replace paidworkers=. if s01p04_2_a==99
gen ageoffirm=agebus_months_clean/12
gen capitalstock=capitaltot_clean
rename age_entre_clean ownerage
rename edu_clean ednyears
* Business practice questions
gen bp_m1=cond(s01p22_a==1, 1, 0) if s01p22_a<=2
gen bp_m2=cond(s01p22_b==1, 1, 0) if s01p22_b<=2
gen bp_m3=cond(s01p22_c==1, 1, 0) if s01p22_c<=2
gen bp_m4=cond(s01p22_d==1, 1, 0) if s01p22_d<=2
gen bp_m5=cond(s01p22_e==1, 1, 0) if s01p22_e<=2
gen bp_m6=cond(s01p22_g==1, 1, 0) if s01p22_g<=2
gen bp_m7=cond(s01p22_h==1, 1, 0) if s01p22_h<=2
gen bp_b1=cond(s01p22_l==1, 1, 0) if s01p22_l<=2
gen bp_b2=cond(s01p22_m==1, 1, 0) if s01p22_m<=2
gen bp_b3=cond(s01p22_i==2, 1, 0) if s01p22_i<=2
gen bp_r1=cond(s01p23_a==1, 1, 0) if s01p23_a<=2
gen bp_r3=cond(s01p23_b==1, 1, 0) if s01p23_b<=2
gen bp_r4=cond(s01p23_c==1, 1, 0) if s01p23_c<=2
gen bp_r5=cond(s01p23_d==1, 1, 0) if s01p23_d<=2
gen bp_r6=cond(s01p23_e==1, 1, 0) if s01p23_e<=2
gen bp_r7=cond(s01p23_f==1, 1, 0) if s01p23_f<=2
gen bp_r8=cond(s01p23_n==1, 1, 0) if s01p23_n<=2
gen bp_f2=cond(s01p23_g==1, 1, 0) if s01p23_g<=2
gen bp_f4=cond(s01p23_h==1, 1, 0) if s01p23_h<=2
gen bp_f8=cond(s01p23_i==1, 1, 0) if s01p23_i<=2
gen bp_f5=cond(s01p23_j==1, 1, 0) if s01p23_j<=2
gen bp_f6=cond(s01p23_l==1, 1, 0) if s01p23_l<=2
gen bp_f7=cond(s01p23_m==1, 1, 0) if s01p23_m<=2
gen bp_f1=cond(s01p24==4, 1, 0) if s01p24<=4
gen bp_f3=cond(s01p25==4, 1, 0) if s01p25<=4

gen monthlysales=s05p03*(30/7)
replace monthlysales=. if s05p03==99999
gen monthlyprofit=s05p04*(30/7)
replace monthlyprofit=. if s05p04==99999
gen municipalregister=cond(s05p22_a==1, 1, 0) if s05p22_a<=2
gen taxregister=cond(s05p22_b==1, 1, 0) if s05p22_b<=2
gen raven=total_raven_clean
gen digitspan=total_spantest_clean
gen round=1
gen excrate=12.85


label var municipalregister "Registered at Municipal Level"
label var taxregister "Registered for national taxes"
label var ageoffirm "Firm age (years)"
label var bp_m1 "Marketing 1: Visited competitor's business to see prices"
label var bp_m2 "Marketing 2: Visited competitor's business to see products"
label var bp_m3 "Marketing 3: Asked existing customers what other products they should offer"
label var bp_m4 "Marketing 4: Talked with former customer to see why stopped buying"
label var bp_m5 "Marketing 5: Asked supplier what products selling well"
label var bp_m6 "Marketing 6: Used a special offer to attract customers"
label var bp_m7 "Marketing 7: Have done advertising in last 6 months"
label var bp_b1 "Buying & Stock Control 1: negotiate for lower price"
label var bp_b2 "Buying & Stock Control 2: compare alternate suppliers"
label var bp_b3 "Buying & Stock Control 3: Don't run out of stock frequently"
label var bp_r1 "Costing & Record Keeping 1: Keep written records"
*label var bp_r2 "Costing & Record Keeping 2: record every purchase and sale"
label var bp_r3 "Costing & Record Keeping 3: can use records to know cash on hand"
label var bp_r4 "Costing & Record Keeping 4: use records to know whether sales of product increase or decrease"
label var bp_r5 "Costing & Record Keeping 5: worked out cost of each main product"
label var bp_r6 "Costing & Record Keeping 6: know which goods make most profit per item"
label var bp_r7 "Costing & Record Keeping 7: have a written budget for monthly expenses"
label var bp_r8 "Costing & Record Keeping 8: have records that could document ability to pay to bank"
label var bp_f1 "Financial Planning 1: review financial performance monthly"
label var bp_f2 "Financial Planning 2: have sales target for next year"
label var bp_f3 "Financial Planning 3: compare sales goal to target monthly"
label var bp_f4 "Financial Planning 4: have a budget of costs for next year"
label var bp_f5 "Financial Planning 5: prepare profit and loss statement"
label var bp_f6 "Financial Planning 6: prepare cashflow statement"
label var bp_f7 "Financial Planning 7: prepare balance sheet"
label var bp_f8 "Financial Planning 8: prepare income and expenditure statement"
label var firmid "Firm identification number"
label var manuf "Sector is manufacturing"
label var trade "Sector is trade"
label var services "Sector is services"
label var ownershours "Hours worked by owner in last week"
label var paidworkers "Number of paid workers"
*label var inventories "Value of inventories"
label var capitalstock "Capital stock"
label var monthlysales "Sales in the last month"
label var monthlyprofit "Monthly profit"
label var ownerage "Age of owner"
label var ednyears "Years of education of owner"
label var digitspan "Digitspan recall"
label var raven "Raven test score"
label var male "Owner is male"
label var excrate "Market exchange rate to USD (divide by this to get USD)"


#delimit ;
keep firmid mexico round male manuf trade services ownershours 
ageoffirm paidworkers ownerage ednyears 
monthlysales monthlyprofit municipalregister taxregister
capitalstock  digitspan  excrate 
bp_* raven ;
#delimit cr

sort firmid round
 save "C:\Users\wb200090\Dropbox\DavidMcKenzie\otherresearch\BusinesspracticesPaper\CleanedCountryFiles\Mexico_F_BP.dta", replace

